com.fasterxml.jackson.datatype.joda.deser

## Class DurationDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<org.joda.time.Duration>
      - - com.fasterxml.jackson.datatype.joda.deser.DurationDeserializer

All Implemented Interfaces:
  Serializable

    public final class DurationDeserializer
    extends com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<org.joda.time.Duration>

Deserializes a Duration from either an int number of millis or using the `Duration.Duration(Object)` constructor on a JSON string. By default the only supported string format is that used by `AbstractDuration.toString()`. (That format for a 3,248 millisecond duration is "PT3.248S".)

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`com.fasterxml.jackson.databind.JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`DurationDeserializer()`

### Method Summary

Methods
`org.joda.time.Duration` `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _isNaN, _isNegInf, _isPosInf, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handledType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, findBackReference, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DurationDeserializer

    public DurationDeserializer()

### Method Detail

#### deserialize

    public org.joda.time.Duration deserialize(com.fasterxml.jackson.core.JsonParser jsonParser,
                                     com.fasterxml.jackson.databind.DeserializationContext deserializationContext)
                                       throws IOException,
                                              com.fasterxml.jackson.core.JsonProcessingException

Specified by:
  `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<org.joda.time.Duration>`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`